Subject: Re: linux-next: build failure after merge of the tip tree

From: Peter Zijlstra <[email-masked]>
Date: Mon, 17 Mar 2025 11:57:02 +0100

On Mon, Mar 17, 2025 at 09:52:07PM +1100, Stephen Rothwell wrote:
> Hi Peter,
> 
> On Mon, 17 Mar 2025 10:38:56 +0100 Peter Zijlstra <[email-masked]> wrote:
> >
> > Right. Sorry for not noticing before, and thanks Jiri for poking me.
> > 
> > So the below resolution make it go for me. The problem appears to be
> > that due to:
> > 
> >   bcecd5a529c1 ("percpu: repurpose __percpu tag as a named address space qualifier")
> > 
> > this makes that this_cpu_ptr() wants a '__percpu *', instead we feed it
> > '__percpu**' which confuses things.
> > 
> > What would be the best way around to getting this resolved, should I
> > stick the below in a fixup patch in tip/perf/core, or do we carry this
> > in a merge resolution somewhere?
> 
> Its a conflict between the mm tree and the tip tree, so I will carry it
> as a resolution in -next and you all should let Linus know when the
> pull requests get sent.
> 
> I will use your resolution from tomorrow.

I pushed it out as a fix in tip/perf/core, figured it wouldn't hurt and
it wont get lost.